const audio_props = {
  "stream.handler_name.markup": "SoundHandler",
  "stream.type": "audio",
  "codec.sample_fmt": (metadata) => {
    const type = metadata.data.Format_Settings_Sign == "Signed" ? "s" : "u";
    const bit_depth = metadata.data.BitDepth;
    return `${type}${bit_depth}`;
  },
  "codec.channels": (metadata) => metadata.data.Channels,
  "codec.sample_rate": (metadata) => metadata.data.SamplingRate,
};

export default audio_props;
